{
    "configurations": [
        {
            "name": "linux-gcc-x64",
            "includePath": [
                "${workspaceRoot}/**",
                "${workspaceRoot}/esp-idf/components/newlib/platform_include",
                "${workspaceRoot}/esp-idf/components/esp_common/include",
                "${workspaceRoot}/esp-idf/components/nvs_flash/include",
                "${workspaceRoot}/esp-idf/components/esp_partition/include",
                "${workspaceRoot}/esp-idf/components/esp_rom/include",
                "${workspaceRoot}/esp-idf/components/esp_system/include",
                "${workspaceRoot}/esp-idf/components/esp_timer/include",
                "${workspaceRoot}/esp-idf/components/driver/uart/include",
                "${workspaceRoot}/esp-idf/components/esp_hw_support/include",
                "${workspaceRoot}/esp-idf/components/esp_netif/linux/stubs/include",
                "${workspaceRoot}/esp-idf/components/freertos/FreeRTOS-Kernel/include",
                "${workspaceRoot}/esp-idf/components/freertos/esp_additions/include",
                "${workspaceRoot}/esp-idf/components/freertos/esp_additions/include/freertos",
                "${workspaceRoot}/esp-idf/components/freertos/esp_additions/arch/riscv/include",
                "${workspaceRoot}/esp-idf/components/freertos/FreeRTOS-Kernel/portable/riscv/include/freertos",
                "${workspaceRoot}/esp-idf/components/soc/esp32/include",
                "${workspaceRoot}/esp-idf/components/soc/esp32s3/include",
                "${workspaceRoot}/project/components/system/include",
            ],
            "forcedInclude": [
                "${workspaceRoot}/project/build/config/sdkconfig.h"
            ],
            "defines": [
                "DEBUG_BUILD=1",
                "__XTENSA__",
                "CONFIG_EXAMPLE_CONNECT_WIFI"
            ],
            "compilerPath": "${default}",
            "cStandard": "${default}",
            "cppStandard": "${default}",
            "intelliSenseMode": "${default}",
            "compilerArgs": [
                "-Wall",
                "-Wextra",
                "-Wpedantic"
            ]
        }
    ],
    "version": 4
}